NVdA che non parla più dopo sospensione


Gabriele Nesossi
 

Tempo fa si era parlato del fatto che NVDA 2020.4 ogni tanto non parlasse dopo la ripresa dalla sospensione del PC.

Ecco 2 log che ho raccolto in momenti differenti dopo che ciò è accaduto.

Cordiali saluti a tutti


Log 1


INFO - __main__ (08:25:07.890) - MainThread (12712):
Starting NVDA version 2020.4
INFO - core.main (08:25:08.210) - MainThread (12712):
Config dir: C:\Users\gabri\AppData\Roaming\nvda
INFO - config.ConfigManager._loadConfig (08:25:08.210) - MainThread (12712):
Loading config: C:\Users\gabri\AppData\Roaming\nvda\nvda.ini
INFO - core.main (08:25:08.247) - MainThread (12712):
Using Windows version 10.0.19042 workstation
INFO - core.main (08:25:08.248) - MainThread (12712):
Using Python version 3.7.9 (tags/v3.7.9:13c94747c7, Aug 17 2020, 18:01:55) [MSC v.1900 32 bit (Intel)]
INFO - core.main (08:25:08.248) - MainThread (12712):
Using comtypes version 1.1.7
INFO - core.main (08:25:08.248) - MainThread (12712):
Using configobj version 5.1.0 with validate version 1.0.1
INFO - synthDriverHandler.setSynth (08:25:09.084) - MainThread (12712):
Loaded synthDriver ibmeci
INFO - core.main (08:25:09.084) - MainThread (12712):
Using wx version 4.0.3 msw (phoenix) wxWidgets 3.0.5 with six version 1.12.0
INFO - brailleInput.initialize (08:25:09.091) - MainThread (12712):
Braille input initialized
INFO - braille.initialize (08:25:09.091) - MainThread (12712):
Using liblouis version 3.16.1
INFO - braille.initialize (08:25:09.091) - MainThread (12712):
Using pySerial version 3.4
INFO - external:brailleDisplayDrivers.seika.BrailleDisplayDriver.__init__ (08:25:09.388) - MainThread (12712):
Found Seika3/5 connected via COM3 Version b'seika3 v2.00'
INFO - braille.BrailleHandler.setDisplayByName (08:25:09.397) - MainThread (12712):
Loaded braille display driver seika, current display has 40 cells.
INFO - core.main (08:25:09.624) - MainThread (12712):
Java Access Bridge support initialized
INFO - _UIAHandler.UIAHandler.MTAThreadFunc (08:25:09.635) - _UIAHandler.UIAHandler.MTAThread (12616):
UIAutomation: IUIAutomation6
INFO - core.main (08:25:10.001) - MainThread (12712):
NVDA initialized
INFO - config.ConfigManager._loadConfig (08:25:20.808) - MainThread (12712):
Loading config: C:\Users\gabri\AppData\Roaming\nvda\profiles\BME 2.ini
WARNING - garbageHandler.notifyObjectDeletion (08:25:21.348) - MainThread (12712):
Garbage collector has found one or more unreachable objects. See further warnings for specific objects.
Stack trace:
  File "nvda.pyw", line 247, in <module>
  File "core.pyc", line 567, in main
  File "wx\core.pyc", line 2134, in MainLoop
  File "gui\__init__.pyc", line 1067, in Notify
  File "core.pyc", line 537, in run
  File "queueHandler.pyc", line 88, in pumpAll
  File "queueHandler.pyc", line 55, in flushQueue
  File "eventHandler.pyc", line 65, in _queueEventCallback
  File "eventHandler.pyc", line 246, in executeEvent
  File "eventHandler.pyc", line 96, in __init__
  File "eventHandler.pyc", line 105, in next
  File "C:\Users\gabri\AppData\Roaming\nvda\addons\bme2\appModules\bme2\bme2OverlayClasses.py", line 198, in event_caret
    super(edit.Edit, self).event_caret()
  File "NVDAObjects\behaviors.pyc", line 195, in event_caret
  File "NVDAObjects\__init__.pyc", line 1180, in event_caret
  File "review.pyc", line 154, in handleCaretMove
  File "abc.pyc", line 139, in __instancecheck__
  File "abc.pyc", line 143, in __subclasscheck__
  File "abc.pyc", line 143, in __subclasscheck__
  File "abc.pyc", line 143, in __subclasscheck__
  File "comtypesMonkeyPatches.pyc", line 104, in newCpbDel
  File "garbageHandler.pyc", line 64, in notifyObjectDeletion
WARNING - garbageHandler.notifyObjectDeletion (08:25:21.350) - MainThread (12712):
Deleting unreachable object <POINTER(IDispatch) ptr=0x6079ab4 at 802ea30>
ERROR - garbageHandler._collectionCallback (08:25:21.350) - MainThread (12712):
Found at least 1 unreachable objects in run
ERROR - stderr (08:25:22.058) - Thread-4 (12768):
Exception in thread Thread-4:
Traceback (most recent call last):
  File "C:\Users\gabri\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 260, in checkForAddonUpdates
    info = checkForAddonUpdate(curAddons)
  File "C:\Users\gabri\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 221, in checkForAddonUpdate
    raise RuntimeError("Failed to retrieve community add-ons")
RuntimeError: Failed to retrieve community add-ons

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "threading.pyc", line 926, in _bootstrap_inner
  File "threading.pyc", line 870, in run
  File "C:\Users\gabri\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 293, in _showAddonUpdateUI
    info = checkForAddonUpdates()
  File "C:\Users\gabri\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 263, in checkForAddonUpdates
    raise RuntimeError("Cannot check for community add-on updates")
RuntimeError: Cannot check for community add-on updates
WARNING - garbageHandler.notifyObjectDeletion (08:25:32.328) - MainThread (12712):
Garbage collector has found one or more unreachable objects. See further warnings for specific objects.
Stack trace:
  File "nvda.pyw", line 247, in <module>
  File "core.pyc", line 567, in main
  File "wx\core.pyc", line 2134, in MainLoop
  File "gui\__init__.pyc", line 1067, in Notify
  File "core.pyc", line 537, in run
  File "queueHandler.pyc", line 88, in pumpAll
  File "queueHandler.pyc", line 55, in flushQueue
  File "eventHandler.pyc", line 65, in _queueEventCallback
  File "eventHandler.pyc", line 241, in executeEvent
  File "eventHandler.pyc", line 254, in doPreGainFocus
  File "api.pyc", line 158, in setFocusObject
  File "api.pyc", line 267, in setNavigatorObject
  File "eventHandler.pyc", line 246, in executeEvent
  File "eventHandler.pyc", line 96, in __init__
  File "eventHandler.pyc", line 105, in next
  File "NVDAObjects\__init__.pyc", line 1154, in event_becomeNavigatorObject
  File "vision\visionHandler.pyc", line 314, in handleReviewMove
  File "extensionPoints\__init__.pyc", line 47, in notify
  File "extensionPoints\util.pyc", line 170, in callWithSupportedKwargs
  File "visionEnhancementProviders\NVDAHighlighter.pyc", line 485, in handleReviewMove
  File "visionEnhancementProviders\NVDAHighlighter.pyc", line 472, in updateContextRect
  File "vision\util.pyc", line 72, in getContextRect
  File "vision\util.pyc", line 58, in getObjectRect
  File "baseObject.pyc", line 42, in __get__
  File "baseObject.pyc", line 146, in _getPropertyViaCache
  File "NVDAObjects\IAccessible\__init__.pyc", line 956, in _get_location
  File "comtypesMonkeyPatches.pyc", line 26, in __call__
  File "comtypesMonkeyPatches.pyc", line 104, in newCpbDel
  File "garbageHandler.pyc", line 64, in notifyObjectDeletion
WARNING - garbageHandler.notifyObjectDeletion (08:25:32.328) - MainThread (12712):
Deleting unreachable object <POINTER(IDispatch) ptr=0x6079ab4 at 802ea30>
ERROR - garbageHandler._collectionCallback (08:25:32.328) - MainThread (12712):
Found at least 1 unreachable objects in run
WARNING - garbageHandler.notifyObjectDeletion (08:27:00.949) - MainThread (12712):
Garbage collector has found one or more unreachable objects. See further warnings for specific objects.
Stack trace:
  File "nvda.pyw", line 247, in <module>
  File "core.pyc", line 567, in main
  File "wx\core.pyc", line 2134, in MainLoop
  File "gui\__init__.pyc", line 1067, in Notify
  File "core.pyc", line 537, in run
  File "queueHandler.pyc", line 88, in pumpAll
  File "queueHandler.pyc", line 55, in flushQueue
  File "eventHandler.pyc", line 65, in _queueEventCallback
  File "eventHandler.pyc", line 241, in executeEvent
  File "eventHandler.pyc", line 254, in doPreGainFocus
  File "api.pyc", line 151, in setFocusObject
  File "appModuleHandler.pyc", line 293, in handleAppSwitch
  File "contextlib.pyc", line 119, in __exit__
  File "config\__init__.pyc", line 766, in atomicProfileSwitch
  File "config\__init__.pyc", line 410, in _handleProfileSwitch
  File "extensionPoints\__init__.pyc", line 47, in notify
  File "extensionPoints\util.pyc", line 170, in callWithSupportedKwargs
  File "vision\visionHandler.pyc", line 322, in handleConfigProfileSwitch
  File "vision\visionHandler.pyc", line 172, in getConfiguredProviderInfos
  File "vision\visionHandler.pyc", line 173, in <listcomp>
  File "vision\providerBase.pyc", line 170, in isEnabledInConfig
  File "config\__init__.pyc", line 925, in __getitem__
  File "configobj\__init__.pyc", line 511, in __getitem__
  File "configobj\__init__.pyc", line 503, in _interpolate
  File "comtypesMonkeyPatches.pyc", line 104, in newCpbDel
  File "garbageHandler.pyc", line 64, in notifyObjectDeletion
WARNING - garbageHandler.notifyObjectDeletion (08:27:00.949) - MainThread (12712):
Deleting unreachable object <POINTER(IDispatch) ptr=0x6079ab4 at 76c3350>
WARNING - garbageHandler.notifyObjectDeletion (08:27:00.949) - MainThread (12712):
Deleting unreachable object <POINTER(IDispatch) ptr=0x6079ab4 at 80a1a80>
ERROR - garbageHandler._collectionCallback (08:27:00.950) - MainThread (12712):
Found at least 2 unreachable objects in run
ERROR - stderr (09:40:14.311) - Thread-77 (7804):
Exception in thread Thread-77:
Traceback (most recent call last):
  File "threading.pyc", line 926, in _bootstrap_inner
  File "threading.pyc", line 1177, in run
  File "C:\Users\gabri\AppData\Roaming\nvda\addons\IBMTTS\synthDrivers\_ibmeci.py", line 455, in idlePlayer
    player.idle()
  File "nvwave.pyc", line 448, in idle
  File "nvwave.pyc", line 458, in _idleUnbuffered
  File "nvwave.pyc", line 413, in sync
  File "nvwave.pyc", line 116, in _winmm_errcheck
OSError: [Errno 5] Handle di dispositivo specificato non valido.
ERROR - stderr (09:40:14.311) - Thread-2 (12488):
Exception in thread Thread-2:
Traceback (most recent call last):
  File "threading.pyc", line 926, in _bootstrap_inner
  File "C:\Users\gabri\AppData\Roaming\nvda\addons\IBMTTS\synthDrivers\_ibmeci.py", line 144, in run
    player.stop()
  File "nvwave.pyc", line 496, in stop
  File "nvwave.pyc", line 458, in _idleUnbuffered
  File "nvwave.pyc", line 413, in sync
  File "nvwave.pyc", line 116, in _winmm_errcheck
OSError: [Errno 5] Handle di dispositivo specificato non valido.
INFO - globalCommands.GlobalCommands.script_navigatorObject_devInfo (09:40:34.575) - MainThread (12712):
Developer info for navigator object:
name: 'Cestino'
role: ROLE_LISTITEM
roleText: None
states: STATE_FOCUSABLE, STATE_SELECTABLE, STATE_FOCUSED, STATE_SELECTED
isFocusable: True
hasFocus: True
Python object: <NVDAObjects.Dynamic_SysListView32EmittingDuplicateFocusEventsListItemIAccessible object at 0x07FC9A10>
Python class mro: (<class 'NVDAObjects.Dynamic_SysListView32EmittingDuplicateFocusEventsListItemIAccessible'>, <class 'appModules.explorer.SysListView32EmittingDuplicateFocusEvents'>, <class 'NVDAObjects.IAccessible.sysListView32.ListItem'>, <class 'NVDAObjects.behaviors.RowWithFakeNavigation'>, <class 'NVDAObjects.behaviors.RowWithoutCellObjects'>, <class 'NVDAObjects.IAccessible.sysListView32.ListItemWithoutColumnSupport'>, <class 'NVDAObjects.IAccessible.IAccessible'>, <class 'NVDAObjects.window.Window'>, <class 'NVDAObjects.NVDAObject'>, <class 'documentBase.TextContainerObject'>, <class 'baseObject.ScriptableObject'>, <class 'baseObject.AutoPropertyObject'>, <class 'garbageHandler.TrackedObject'>, <class 'object'>)
description: None
location: RectLTWH(left=0, top=5, width=74, height=70)
value: None
appModule: <'explorer' (appName 'explorer', process ID 7424) at address 558c850>
appModule.productName: 'Sistema operativo Microsoft® Windows®'
appModule.productVersion: '10.0.19041.610'
TextInfo: <class 'NVDAObjects.NVDAObjectTextInfo'>
windowHandle: 65828
windowClassName: 'SysListView32'
windowControlID: 1
windowStyle: 1442855488
extendedWindowStyle: 0
windowThreadID: 7428
windowText: 'FolderView'
displayText: 'Cestino'
IAccessibleObject: <POINTER(IAccessible) ptr=0x60b2a30 at 82688f0>
IAccessibleChildID: 1
IAccessible event parameters: windowHandle=65828, objectID=-4, childID=1
IAccessible accName: 'Cestino'
IAccessible accRole: ROLE_SYSTEM_LISTITEM
IAccessible accState: STATE_SYSTEM_SELECTED, STATE_SYSTEM_FOCUSED, STATE_SYSTEM_FOCUSABLE, STATE_SYSTEM_SELECTABLE, STATE_SYSTEM_MULTISELECTABLE, STATE_SYSTEM_VALID (19922950)
IAccessible accDescription: exception: (-2147352573, 'Impossibile trovare membro.', (None, None, None, 0, None))
IAccessible accValue: None


Log 2


INFO - __main__ (09:44:36.411) - MainThread (15308):
Starting NVDA version 2020.4
INFO - core.main (09:44:36.768) - MainThread (15308):
Config dir: C:\Users\gabri\AppData\Roaming\nvda
INFO - config.ConfigManager._loadConfig (09:44:36.768) - MainThread (15308):
Loading config: C:\Users\gabri\AppData\Roaming\nvda\nvda.ini
INFO - core.main (09:44:36.944) - MainThread (15308):
Using Windows version 10.0.19042 workstation
INFO - core.main (09:44:36.944) - MainThread (15308):
Using Python version 3.7.9 (tags/v3.7.9:13c94747c7, Aug 17 2020, 18:01:55) [MSC v.1900 32 bit (Intel)]
INFO - core.main (09:44:36.945) - MainThread (15308):
Using comtypes version 1.1.7
INFO - core.main (09:44:36.945) - MainThread (15308):
Using configobj version 5.1.0 with validate version 1.0.1
INFO - synthDriverHandler.setSynth (09:44:38.381) - MainThread (15308):
Loaded synthDriver ibmeci
INFO - core.main (09:44:38.381) - MainThread (15308):
Using wx version 4.0.3 msw (phoenix) wxWidgets 3.0.5 with six version 1.12.0
INFO - brailleInput.initialize (09:44:38.416) - MainThread (15308):
Braille input initialized
INFO - braille.initialize (09:44:38.416) - MainThread (15308):
Using liblouis version 3.16.1
INFO - braille.initialize (09:44:38.421) - MainThread (15308):
Using pySerial version 3.4
INFO - external:brailleDisplayDrivers.seika.BrailleDisplayDriver.__init__ (09:44:38.667) - MainThread (15308):
Found Seika3/5 connected via COM3 Version b'seika3 v2.00'
INFO - braille.BrailleHandler.setDisplayByName (09:44:38.681) - MainThread (15308):
Loaded braille display driver seika, current display has 40 cells.
INFO - core.main (09:44:39.156) - MainThread (15308):
Java Access Bridge support initialized
INFO - _UIAHandler.UIAHandler.MTAThreadFunc (09:44:39.163) - _UIAHandler.UIAHandler.MTAThread (1740):
UIAutomation: IUIAutomation6
INFO - core.main (09:44:39.953) - MainThread (15308):
NVDA initialized
INFO - updateCheck.AutoUpdateChecker._started (09:44:39.973) - MainThread (15308):
Performing automatic update check
ERROR - stderr (09:52:35.646) - Thread-2 (2772):
Exception in thread Thread-2:
Traceback (most recent call last):
  File "threading.pyc", line 926, in _bootstrap_inner
  File "C:\Users\gabri\AppData\Roaming\nvda\addons\IBMTTS\synthDrivers\_ibmeci.py", line 144, in run
    player.stop()
  File "nvwave.pyc", line 496, in stop
  File "nvwave.pyc", line 458, in _idleUnbuffered
  File "nvwave.pyc", line 413, in sync
  File "nvwave.pyc", line 116, in _winmm_errcheck
OSError: [Errno 5] Handle di dispositivo specificato non valido.
ERROR - stderr (09:52:35.646) - Thread-31 (13000):
Exception in thread Thread-31:
Traceback (most recent call last):
  File "threading.pyc", line 926, in _bootstrap_inner
  File "threading.pyc", line 1177, in run
  File "C:\Users\gabri\AppData\Roaming\nvda\addons\IBMTTS\synthDrivers\_ibmeci.py", line 455, in idlePlayer
    player.idle()
  File "nvwave.pyc", line 448, in idle
  File "nvwave.pyc", line 458, in _idleUnbuffered
  File "nvwave.pyc", line 413, in sync
  File "nvwave.pyc", line 116, in _winmm_errcheck
OSError: [Errno 5] Handle di dispositivo specificato non valido.
INFO - globalCommands.GlobalCommands.script_navigatorObject_devInfo (09:53:06.863) - MainThread (15308):
Developer info for navigator object:
name: 'Cestino'
role: ROLE_LISTITEM
roleText: None
states: STATE_FOCUSABLE, STATE_SELECTABLE, STATE_FOCUSED, STATE_SELECTED
isFocusable: True
hasFocus: True
Python object: <NVDAObjects.Dynamic_SysListView32EmittingDuplicateFocusEventsListItemIAccessible object at 0x07EDAB50>
Python class mro: (<class 'NVDAObjects.Dynamic_SysListView32EmittingDuplicateFocusEventsListItemIAccessible'>, <class 'appModules.explorer.SysListView32EmittingDuplicateFocusEvents'>, <class 'NVDAObjects.IAccessible.sysListView32.ListItem'>, <class 'NVDAObjects.behaviors.RowWithFakeNavigation'>, <class 'NVDAObjects.behaviors.RowWithoutCellObjects'>, <class 'NVDAObjects.IAccessible.sysListView32.ListItemWithoutColumnSupport'>, <class 'NVDAObjects.IAccessible.IAccessible'>, <class 'NVDAObjects.window.Window'>, <class 'NVDAObjects.NVDAObject'>, <class 'documentBase.TextContainerObject'>, <class 'baseObject.ScriptableObject'>, <class 'baseObject.AutoPropertyObject'>, <class 'garbageHandler.TrackedObject'>, <class 'object'>)
description: None
location: RectLTWH(left=0, top=5, width=74, height=70)
value: None
appModule: <'explorer' (appName 'explorer', process ID 7404) at address 515c770>
appModule.productName: 'Sistema operativo Microsoft® Windows®'
appModule.productVersion: '10.0.19041.610'
TextInfo: <class 'NVDAObjects.NVDAObjectTextInfo'>
windowHandle: 65798
windowClassName: 'SysListView32'
windowControlID: 1
windowStyle: 1442855488
extendedWindowStyle: 0
windowThreadID: 6984
windowText: 'FolderView'
displayText: 'Cestino'
IAccessibleObject: <POINTER(IAccessible) ptr=0x3a5f338 at 43c32b0>
IAccessibleChildID: 1
IAccessible event parameters: windowHandle=65798, objectID=-4, childID=1
IAccessible accName: 'Cestino'
IAccessible accRole: ROLE_SYSTEM_LISTITEM
IAccessible accState: STATE_SYSTEM_SELECTED, STATE_SYSTEM_FOCUSED, STATE_SYSTEM_FOCUSABLE, STATE_SYSTEM_SELECTABLE, STATE_SYSTEM_MULTISELECTABLE, STATE_SYSTEM_VALID (19922950)
IAccessible accDescription: exception: (-2147352573, 'Impossibile trovare membro.', (None, None, None, 0, None))
IAccessible accValue: None